Adobe CC 2019 Mac system requirements

The Adobe CC 2019 apps that were recently made available for download require macOS 10.12 Sierra or later.  Previously downloaded versions of Adobe CC apps will continue to run on older versions of macOS, confirmed by this Adobe support article.

1 Comment

  1. Also, notably for me, AdobeCC2019 is the first version that requires login via AdobeID. Enterprise serial number licensing no longer works with CC2019, making CC2018 the final version that works with enterprise serial numbers.

Leave a Reply

Your email address will not be published.

*

© 2018 ATS Blog

Theme by Anders NorenUp ↑